<%@ page contentType="text/html;charset=UTF-8" %>
<%@ page import="java.util.*" %>
<%@ page import="net.sz600.tool.SzConvert" %>
<%@ page import="net.sz600.system.*" %>
<%@ page import="net.sz600.basicdata.*" %>
<%@ page import="net.sz600.formEngine2.*" %>
<%@ page import="net.sz600.formEngine.*" %>
<%@ page import="net.sz600.formCreate.*" %>
<%@ include file="/xml/formEngine2/sessionInfo2.jsp"%>
<form name="formHidden" method="post">
</form>
<%
    String sOPERATOR = SzConvert.toSpaceStr(request.getParameter("OPERATOR"));
    String GLSM = SzConvert.toSpaceStr(request.getParameter("relateName") );
    String sObjectType = SzConvert.toSpaceStr(request.getParameter("ObjectType")); 
    
    
    boolean flag = true;
    String sUrl = "index.jsp";    
    BdTriggerOperator bdTriggerOperator = new BdTriggerOperator();
    if (sOPERATOR.equals("add") ) {
    	flag = bdTriggerOperator.add(request);
    } else if (sOPERATOR.equals("update")) {
    	flag = bdTriggerOperator.update(request);
    } else if (sOPERATOR.equals("delete")) {
    	flag = bdTriggerOperator.delete(request);    	
    }
    
    String sMessage = SzOut.getMessage();
    if (flag) {    	
        out.println(SzPageHelp.jsAlert("操作成功"));
        out.println(SzPageHelp.jsFormSubmit("formHidden",sUrl));
 
    } else {
        out.println(SzPageHelp.jsAlertBack(sMessage));
    }
%>
